# VideoAttributes.VideoPrice (Crawler-commons 1.0 API)
Date: 2019-03-19

crawlercommons.sitemaps.extension

## Class VideoAttributes.VideoPrice

- java.lang.Object
- - crawlercommons.sitemaps.extension.VideoAttributes.VideoPrice

Enclosing class:
  VideoAttributes

    public static final class VideoAttributes.VideoPrice
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VideoPrice(String currency, Float price)`
`VideoPrice(String currency, Float price, VideoAttributes.VideoPriceType type)`
`VideoPrice(String currency, Float price, VideoAttributes.VideoPriceType type, VideoAttributes.VideoPriceResolution resolution)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`String` `getCurrency()`
`Float` `getPrice()`
`VideoAttributes.VideoPriceResolution` `getResolution()`
`VideoAttributes.VideoPriceType` `getType()`
`void` `setPrice(Float price)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VideoPrice

    public VideoPrice(String currency,
                      Float price)

#### VideoPrice

    public VideoPrice(String currency,
                      Float price,
                      VideoAttributes.VideoPriceType type)

#### VideoPrice

    public VideoPrice(String currency,
                      Float price,
                      VideoAttributes.VideoPriceType type,
                      VideoAttributes.VideoPriceResolution resolution)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### getCurrency

    public String getCurrency()

#### getType

    public VideoAttributes.VideoPriceType getType()

#### getResolution

    public VideoAttributes.VideoPriceResolution getResolution()

#### getPrice

    public Float getPrice()

#### setPrice

    public void setPrice(Float price)